# Wyn Viewer Sample

This sample demonstrates the use of GrapeCity ActiveReports WynViewer connected to the Wyn portal.

## System requirements

This sample requires:
 * [Node.js](https://nodejs.org/en/download/) 10.14.0 or newer

## Build and run the sample

1. Execute `run-yarn.cmd` ( or `run-npm.cmd` )
2. Open http://localhost:3000 by browser

or

1. Open cmd.exe and go to the root of the directory WynViewerSample
2. Enter `yarn` ( or `npm install` )
3. Enter `yarn upgrade @grapecity/wyn-report-viewer`\
( or `npm update @grapecity/wyn-report-viewer --latest` )
4. Enter `yarn dev` ( or `npm run dev` )
5. Open http://localhost:3000 by browser

## Available dev portal list

 - https://gces-dev-cn.grapecitydev.com/ - cn dev
 - https://gces-dev-en.grapecitydev.com/ - en dev
 - https://portal-4-cn.grapecitydev.com/ - cn 4.0
 - https://portal-4-en.grapecitydev.com/ - en 4.0

## Cross-Origin Resource Sharing of portals

All portals are configured with these permissions:

 - Access-Control-Allow-Origin `3000`, `42002`, `42008` ports
 - Access-Control-Expose-Headers `content-disposition`, `location`
