const path = require('path');
const merge = require('webpack-merge');
const config = require('./webpack.config');

const target = 'http://localhost:42001';

module.exports = merge(config, {
	mode: 'development',
	devServer: {
		contentBase: path.join(__dirname, 'dist'),
		port: 3000,
	}
});